import serial
import time
# The program is implemented every second through the onboard UART SH1.0 interface to send data, while printing the received data
#ser = serial.Serial("/dev/ttyAMA0", 115200)
ser = serial.Serial("/dev/serial0", 115200)

def send_data():
    count = 0
    while True:
        count = count + 1
        if(count==100)      # Send it every 1 second
            count = 0
            ser.write("12345678".encode("utf-8"))

        if ser.in_waiting > 0:
            received_data = ser.read(ser.in_waiting)
            print("Received Data:", received_data.decode("utf-8").strip())  # Decode and remove whitespace characters here

        time.sleep(0.01)  

if __name__ == "__main__":
    try:
        if ser.isOpen() == False:
            ser.open()
        send_data()
    except KeyboardInterrupt:
        if ser != None:
            ser.close()
            print("The program was interrupted by the user")